Skip to main content
GET
/
v2
/
company
/
report
/
{ticker}
Company Report
curl --request GET \
  --url https://api.sectors.app/v2/company/report/{ticker}/ \
  --header 'Authorization: <api-key>'
{
  "symbol": "BREN.JK",
  "company_name": "PT Barito Renewables Energy Tbk.",
  "overview": {
    "listing_board": "Main",
    "industry": "Electric Utilities",
    "sector": "Infrastructures",
    "sub_sector": "Utilities",
    "market_cap": 1190697407348736,
    "market_cap_rank": 1,
    "employee_num": 638,
    "listing_date": "2023-10-09",
    "last_close_price": 8900,
    "esg_score": 37.7,
    "tags": [
      "public-float-under-25"
    ],
    "indices": null,
    "affiliates": [
      "Barito",
      "Prajogo Pangestu"
    ]
  },
  "valuation": {
    "last_close_price": 8900,
    "forward_pe": null,
    "intrinsic_value": 213
  }
}

Authorizations

Authorization
string
header
required

API key passed directly in the Authorization header (without Bearer prefix).

Path Parameters

ticker
string
required

IDX ticker symbol. E.g. BREN, BBCA.

Query Parameters

sections
string

Comma-separated list of sections to include. Default: all. Options: overview, valuation, future, peers, financials, dividend, management, ownership.

Response

Comprehensive company report with requested sections.

{key}
any